import request from '@/utils/request'

// 查询模板信息列表
export function listTemplateInfo(query) {
  return request({
    url: '/shop/templateInfo/list',
    method: 'get',
    params: query
  })
}

// 查询模板信息详细
export function getTemplateInfo(templateId) {
  return request({
    url: '/shop/templateInfo/' + templateId,
    method: 'get'
  })
}

// 新增模板信息
export function addTemplateInfo(data) {
  return request({
    url: '/shop/templateInfo',
    method: 'post',
    data: data
  })
}

// 修改模板信息
export function updateTemplateInfo(data) {
  return request({
    url: '/shop/templateInfo',
    method: 'put',
    data: data
  })
}

// 用户状态修改
export function changeTemplateStatus(templateId, status) {
  const data = {
    templateId,
    status
  }
  return request({
    url: '/shop/templateInfo',
    method: 'put',
    data: data
  })
}

// 删除模板信息
export function delTemplateInfo(templateId) {
  return request({
    url: '/shop/templateInfo/' + templateId,
    method: 'delete'
  })
}
